#!/bin/bash

gcc_base_ver=5
gcc_binsuffix=-5

rm -f cross*.spec cross*.changes

for arch in ; do
	pkgname=cross-$arch-newlib-devel
	outfile=$pkgname.spec
	echo "%define cross_arch $arch" > $outfile
	echo "%define gcc_binsuffix ${gcc_binsuffix}" >> $outfile
	sed -e "s#@gcc_base_ver@#$gcc_base_ver#" newlib.spec.in >> $outfile
	cp newlib.changes $pkgname.changes
done

osc service localrun format_spec_file
